Bug 26003

Summary: Has inconsistent font selection behavior compared with other GTK2 apps
Product: WebKit Reporter: Hongzheng Wang <wanghz>
Component: WebKitGTKAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: gns, kenneth, mrobinson, tonikitoo, xan.lopez
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Linux   
Attachments:
Description Flags
Patch to fix QuickTime/X11 namespace conflict none

Description Hongzheng Wang 2009-05-24 23:57:08 PDT
I'm using Debian Linux (sid/unstable).  Currently, Debian provides epiphany-webkit version 2.27.1-2 in sid, which uses webkitGTK+1.1.7.  The problem I encountered is that epiphany-webkit has not inconsistent font selection behavior compared with other GTK2 apps when epiphany-webkit is rendering web pages containing Chinese characters.

To be specific, we consider a freshly setup Debian Linux with packages ttf-arphic-uming and ttf-arphic-ukai installed.  These two packages provide Chinese fonts: AR PL UMing and AR PL UKai.  These packages also installed fontconfig configuration files which contain the instructions to prefer to AR PL UMing when Chinese characters are rendered through fontconfig.  That is, when a typical GTK2 app needs display some Chinese characters (not covered by the system's default font DeJaVu Sans), AR PL UMing font will be selected.  Such a behavior is consistent in both GTK2 and QT4 apps.

But in epiphany-webkit, a GTK2 app using webkit, this behavior is no longer consistent.  For example, when we open a web page, like www.google.com.hk, AR PL UKai will be used instead to render the Chinese characters.  As another example, when www.xinhuanet.com is accessed, AR PL UKai is also selected instead of AR PL UMing.

So, I wonder if there is a bug in webkitGTK+ so that epiphany-webkit does not fully respect fontconfig's configurations.
Comment 1 David Evans 2009-07-13 15:25:03 PDT
Created attachment 32682 [details]
Patch to fix QuickTime/X11 namespace conflict
Comment 2 Antonio Gomes 2010-06-14 11:56:16 PDT
(In reply to comment #1)
> Created an attachment (id=32682) [details]
> Patch to fix QuickTime/X11 namespace conflict

Also, epiphany guys cc'ed

ps: patch looks unrelated and is in so bad shape (lack of commit message and explaination, lack of context, etc).
Comment 3 Martin Robinson 2012-02-20 14:52:20 PST
Is this still an issue? A lot has changed with font selection. If you notice some inconsistency between Chromium/Firefox and WebKitGTK+, I'd be very interested to fix it.
Comment 4 Martin Robinson 2012-02-20 14:59:25 PST
I see Chromium and Firefox selecting the same font that WebKitGTK+ does in the situation listed above. If this is not truly the case or there is some further issue, feel free to reopen this bug. I think it may be fixed now though.